#!/bin/sh
# script to generate tarball
set -e
svnurl='svn://svn.mageia.org/svn/soft/rpm/rpm-setup'
cwd=$(pwd)
tmpdir=$(mktemp -d)
if [ -n "$1" ]
then
    version="tags/$1"
else
    version='trunk'
fi
cd $tmpdir
svn co "$svnurl/$version" src
cd src
autoreconf --install
./configure
make dist
for file in *.tar.xz
do
    if [ -e "$cwd/$file" ]
    then
        echo "Cannot copy $file: file already exists" >&2
        break
    fi
    mv "$file" "$cwd/$file"
    echo "----> $file"
done
cd "$cwd"
rm -Rf "$tmpdir"
